# https://github.com/%{module}/%{module}/archive/v2.2.2.tar.gz
%define	module matplotlib
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
# one of: GTK GTKAgg GTKCairo GTK3Agg GTK3Cairo CocoaAgg MacOSX Qt4Agg TkAgg WX WXAgg Agg Cairo GDK PS PDF SVG
%global backend TkAgg
%global with_bundled_fonts 1

Name:           python3-%{module}
Version:        3.0.3
Release:        %mkrel 1
Summary:        Matlab-style 2D plotting package for Python

License:        Python and MIT
Group:          Development/Python
URL:            http://matplotlib.org/
Source0:        %{module}-%{version}.tar.xz

BuildRequires:  %{_lib}freetype6-devel
BuildRequires:  %{_lib}gtk+2.0_0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}wxPython3.0-devel
BuildRequires:  libpthread-stubs
BuildRequires:  pygtk2.0-devel
BuildRequires:  pyside
BuildRequires:  tcl-devel
BuildRequires:  tkinter
BuildRequires:  tk-devel
BuildRequires:  x11-server-xvfb
BuildRequires:  zlib-devel

BuildRequires:  python-backports
BuildRequires:  python-backports-functools_lru_cache
BuildRequires:  python-cairo-devel
BuildRequires:  python-dateutil
BuildRequires:  python-devel
BuildRequires:  python-gobject3-devel
BuildRequires:  python-ipython
BuildRequires:  python-numpy-devel
BuildRequires:  python-pillow-devel
BuildRequires:  python-pyparsing
BuildRequires:  python-pyside
BuildRequires:  python-pytz
BuildRequires:  python-qt4-devel
BuildRequires:  python-qt5-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six

BuildRequires:  python3-cairo
BuildRequires:  python3-cycler
BuildRequires:  python3-dateutil
BuildRequires:  python3-devel
BuildRequires:  python3-gobject3-devel
BuildRequires:  python3-ipython
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-pillow
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pyside
BuildRequires:  python3-pytz
BuildRequires:  python3-qt5
BuildRequires:  python3-qt4
BuildRequires:  python3-setuptools
BuildRequires:  python3-sip-devel
BuildRequires:  python3-six

#added for ver. 3.0
BuildRequires:  python3-tornado
BuildRequires:  python3-kiwisolver


Requires:       fonts-ttf-dejavu
Requires:       python-backports-functools_lru_cache
Requires:       python-cairo
Requires:       python-dateutil
Requires:       python-gobject3
Requires:       python-numpy
Requires:       python-pyparsing
Requires:       python-pytz
Requires:       python-six
Requires:       %{name}-tk = %{version}-%{release}
%rename         %{name}-cairo
%rename         %{name}-qt-shared
%rename         %{name}-pgf
%rename         %{name}-svg

%description
matplotlib is a Python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in Python
scripts, the python and ipython shell (a la Matlab or Mathematica), web
application servers, and various graphical user interface toolkits.



%package wx
Summary:        wxPython backend for matplotlib
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
Requires:       wxPython

%description wx
This package contains the wxPython backend for matplotlib.

%package doc
Summary:        Documentation for matplotlib
Group:          Development/Python
BuildArch:      noarch

%description doc
This package contains documentation and sample code for matplotlib.

%description
Matplotlib is a python 2D plotting library which produces publication
quality figures in a variety of hardcopy formats and interactive
environments across platforms. matplotlib can be used in python
scripts, the python and ipython shell, web application servers, and
six graphical user interface toolkits.

Matplotlib tries to make easy things easy and hard things possible.
You can generate plots, histograms, power spectra, bar charts,
errorcharts, scatterplots, etc, with just a few lines of code.

%package qt4
Summary:        Qt4 backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib = %{version}-%{release}
Requires:       python3-qt4

%description qt4
%{summary}

%package qt5
Summary:        Qt5 backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib = %{version}-%{release}
Requires:       python3-qt5

%description qt5
%{summary}.

%package gtk3
Summary:        GTK3 backend for python3-matplotlib
Group:          Development/Python
Requires:       gtk3
Requires:       python3-gobject3
Requires:       python3-matplotlib = %{version}-%{release}

%description gtk3
%{summary}

%package tk
Summary:        Tk backend for python3-matplotlib
Group:          Development/Python
Requires:       python3-matplotlib = %{version}-%{release}
Requires:       tkinter3

%description tk
%{summary}

%prep
%setup -qn %{module}-%{version}

cat<<EOF >setup.cfg
[packages]
tests = False
toolkits_tests = False
[rc_options]
backend = %{backend}
EOF

%if !%{with_bundled_fonts}
sed -i 's/\(USE_FONTCONFIG = \)False/\1True/' lib/%{module}/font_manager.py
%endif

%build
 %{__python3} setup.py build

%install
export http_proxy=http://127.0.0.1/
 %{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
 %py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
 chmod +x %{buildroot}%{python3_sitearch}/%{module}/dates.py


%if !%{with_bundled_fonts}
  rm -rf %{buildroot}%{_datadir}/%{module}/mpl-data/fonts
%endif

%files doc
%doc examples

%files 
%doc LICENSE README.rst
%{python3_sitearch}/*
%exclude %{python3_sitearch}/%{module}/backends/backend_qt4.*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/backend_qt4.*
%exclude %{python3_sitearch}/%{module}/backends/backend_qt4agg.*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/backend_qt4agg.*
%exclude %{python3_sitearch}/%{module}/backends/backend_qt5.*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/backend_qt5.*
%exclude %{python3_sitearch}/%{module}/backends/backend_qt5agg.*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/backend_qt5agg.*
%exclude %{python3_sitearch}/%{module}/backends/backend_gtk*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/backend_gtk*
%exclude %{python3_sitearch}/%{module}/backends/backend_tkagg.py*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/backend_tkagg.*
%exclude %{python3_sitearch}/%{module}/backends/tkagg.*
%exclude %{python3_sitearch}/%{module}/backends/__pycache__/tkagg.*
%exclude %{python3_sitearch}/%{module}/backends/_tkagg.*

%files qt4
%{python3_sitearch}/%{module}/backends/backend_qt4.*
%{python3_sitearch}/%{module}/backends/__pycache__/backend_qt4.*
%{python3_sitearch}/%{module}/backends/backend_qt4agg.*
%{python3_sitearch}/%{module}/backends/__pycache__/backend_qt4agg.*

%files qt5
%{python3_sitearch}/%{module}/backends/backend_qt5.*
%{python3_sitearch}/%{module}/backends/__pycache__/backend_qt5.*
%{python3_sitearch}/%{module}/backends/backend_qt5agg.*
%{python3_sitearch}/%{module}/backends/__pycache__/backend_qt5agg.*

%files gtk3
%{python3_sitearch}/%{module}/backends/backend_gtk*
%{python3_sitearch}/%{module}/backends/__pycache__/backend_gtk*

%files tk
%{python3_sitearch}/%{module}/backends/backend_tkagg.py*
%{python3_sitearch}/%{module}/backends/__pycache__/backend_tkagg.*
%{python3_sitearch}/%{module}/backends/tkagg.*
%{python3_sitearch}/%{module}/backends/__pycache__/tkagg.*
%{python3_sitearch}/%{module}/backends/_tkagg.*

%changelog
* Fri May 17 2019 pckg <pckg at email.cz> 3.0.3-1pclos2019
- update + added deps for ver. 3.0
- since version 3.0 only for Python 3

* Sat Apr 21 2018 marcin82 <fixxer1982 at gmail.com> 2.2.2-2pclos2018
- rebuild with numpy 1.14.2

* Sun Apr 08 2018 marcin82 <fixxer1982 at gmail.com> 2.2.2-1pclos2018
- update

* Tue Aug 15 2017 bb2 <bb2> - 1.4.3-2pclos2017
- rebuild against updates

* Fri Jun 26 2015 gseaman <galen.seaman at comcast.net> 1.4.3-1gseaman2015
- rebase for PCLinuxOS from Mageia spec
